pcl::cuda::detail Namespace Reference

## Classes

class | DjSets
class | Graph
struct | GraphEdge
struct | SegmLink
struct | SegmLinkVal

## Functions

int | pix (int y, int x, int ncols)
int | sqr (int x)
int | dist2 (const cv::Vec4b &lhs, const cv::Vec4b &rhs)
int | dist2 (const cv::Vec2s &lhs, const cv::Vec2s &rhs)

## Function Documentation

## dist2() [1/2]

int pcl::cuda::detail::dist2 | ( | const cv::Vec2s & | lhs,
|  | const cv::Vec2s & | rhs
| ) |  |

inline

Definition at line 236 of file mssegmentation.h.

References sqr().

## dist2() [2/2]

int pcl::cuda::detail::dist2 | ( | const cv::Vec4b & | lhs,
|  | const cv::Vec4b & | rhs
| ) |  |

inline

Definition at line 230 of file mssegmentation.h.

References sqr().

## pix()

int pcl::cuda::detail::pix | ( | int | y,
|  | int | x,
|  | int | ncols
| ) |  |

inline

Definition at line 218 of file mssegmentation.h.

## sqr()

int pcl::cuda::detail::sqr | ( | int | x | ) |

inline

Definition at line 224 of file mssegmentation.h.

Referenced by dist2().